API Docs v1 api.hubiss.com.br

Pedidos

Recupere pedidos dos marketplaces, fature, acompanhe envio e conclua a venda.

Em resumo
Pedido nasce no marketplace. Você lê, fatura, informa envio e conclui — sempre na ordem dos status.

Os pedidos na Hubiss são os pedidos recebidos nas suas contas de marketplace. Pela API você recupera os dados, organiza envio, emite nota fiscal e até imprime a etiqueta.

Como imprimir etiquetas via API?
Na busca do pedido, o recurso shipping.print_label_url traz a URL de impressão da etiqueta. O link precisa ser aberto no navegador com a sessão autenticada na plataforma.

Status padrão de pedidos

Status Descrição
pending Pedido colocado no marketplace, ainda não pago. O marketplace atualiza este status.
cancelled Pedido cancelado pelo usuário ou pelo marketplace.
paid_waiting_shipment Pago, sem dropshipping/crossdocking na Hubiss, aguardando envio pelo usuário.
paid_waiting_order_at_supplier Pago, de dropshipping/crossdocking, aguardando compra no fornecedor.
paid_waiting_order_shipment_at_supplier Já efetuado no fornecedor, aguardando envio por parte dele.
invoiced Pedido faturado pelo usuário.
paid_waiting_delivery Enviado e aguardando entrega ao cliente.
concluded Entregue ao cliente.
pending não pago paid_waiting_* pago paid_waiting_order_ shipment_at_supplier efetuado no fornecedor invoiced faturado concluded entregue cancelled

Cancelamento pode ocorrer antes da conclusão, pelo usuário ou pelo marketplace.

GET /orders
Listar Pedidos

Listar todas as Marcas cadastradas.

StatusQuando aconteceCorpo
401 401 —
Nome Local Tipo Descrição
status query string
padrão: paid_waiting_shipment, invoiced

Filtra por pedidos que estejam em um dos status informados

order_date[from] query string
padrão: 2021-11-11T14:19:45

Filtra por pedidos que foram realizados no marketplace a partir dessa data

order_date[to] query string
padrão: 2021-11-13T17:19:45

Filtra pedidos que foram realizados no marketplace até essa data

created_at[from] query string
padrão: 2021-11-13T17:19:45

Filtra por pedidos que foram cadastrados na Hubiss a partir de uma determinada data

created_at[to] query string
padrão: 2022-11-13T17:19:45

Filtra por pedidos que foram cadastrados na Hubiss até uma determinada data

marketplace_order_id query string
padrão: ML99999999999

Filtra pedidos que contenham parte do código do pedido no Marketplace

marketplace_account query string
padrão: 1,2,3

Filtra por pedidos de determinadas conta no marketplace, para mais de uma conta, separe por vírgula.

customer_billing_address_name query string
padrão: Maria

Busca por pedidos contendo o nome informado no endereço de cobrança dos pedidos

shipping_address_name query string
padrão: Chiquinho

Busca por pedidos contendo o nome informado no nome de endereço de envio

labels_not_printed query boolean
padrão: 1

Busca por pedidos onde a etiqueta ainda não foi impressa

shipping_method query string
padrão: Correios

Busca por pedidos de um determinado método de envio

Resposta
json
{
    "data": [
        {
            "id": 1,
            "marketplace_account": 1,
            "marketplace_order_id": "ML99999999999",
            "marketplace_order_additional_id": "123456",
            "order_date": "2021-05-28 02:35:39",
            "estimated_delivery_date": "2021-06-28 02:35:39",
            "dropshipping_crossdocking": {
                "is_dropshipping_crossdocking": false,
                "order_buyed_in_supplier": false
            },
            "email": "[email protected]",
            "status": "concluded",
            "marketplace_status": "COMPLETED",
            "internal_observations": "Ullam omnis autem est reprehenderit. Non aperiam est ut dolor eum error.",
            "message_to_seller": "Nihil facilis aspernatur labore eum eveniet cum. Accusantium porro et qui aperiam facilis.",
            "marketplace_client_id": "9999",
            "customer": {
                "documents": {
                    "primary": {
                        "type": "cpf",
                        "number": "01622913027"
                    },
                    "secondary": {
                        "type": "rg",
                        "number": "999"
                    }
                },
                "phones": {
                    "primary": "3843251228",
                    "secondary": "8618379905320"
                },
                "billing_address": {
                    "name": "Dona Maria da Silva",
                    "zip_code": "89520000",
                    "street_name": "Rua de Exemplo",
                    "street_number": "113",
                    "district": "Centro",
                    "city": "Curitibanos",
                    "state": "SC",
                    "country": "BR"
                }
            },
            "shipping": {
                "is_fullfilment": false,
                "responsible_issuing_label": "marketplace",
                "first_printing_date_label": "",
                "print_label_url": "https://hubiss.com.br/admin/pedidos/bulk-print-labels/1",
                "shipping_address": {
                    "name": "Seu Chiquinho da Silva",
                    "zip_code": "78563000",
                    "street_name": "Rua de Exemplo",
                    "street_number": "456",
                    "district": "Zona rural",
                    "city": "Tabaporã",
                    "state": "MT",
                    "country": "BR"
                }
            },
            "fraud_alert": false,
            "order_in_marketplace_dispute": false,
            "created_at": "2022-04-04 23:37:09",
            "updated_at": "2022-04-04 23:37:09",
            "products": [
                {
                    "id": 6,
                    "variation_id": 5559,
                    "marketplace_order_id": "ML99999999999",
                    "dropshipping_crossdocking": {
                        "is_dropshipping_crossdocking": false,
                        "order_buyed_in_supplier": false
                    },
                    "name": "Sandália Feminina Torricella",
                    "sku": "E-2042A-3",
                    "marketplace_listing_id": "MLB99999999999",
                    "attributes_variation": "36,Única",
                    "product_condition": "new",
                    "quantity": 1,
                    "unit_price": "98.00",
                    "discounts": 0.88,
                    "gross_amount": "98.00",
                    "total_value": "97.12",
                    "marketplace_comission_value": "0.00",
                    "marketplace_discount": "0.88",
                    "days_to_send": 3,
                    "current_data": {
                        "current_stock": 2,
                        "current_reserved_stock": 1
                    }
                }
            ],
            "payments": [
                {
                    "id": "220215JK665KG6",
                    "payment_date": "2022-02-15 13:54:46",
                    "created_at": "2022-02-15 12:44:44",
                    "status": "paid",
                    "type": "Credit/Debit Card",
                    "installments": "",
                    "installment_value": "0.00",
                    "total": "0.00"
                }
            ],
            "invoices": [],
            "shipments": [
                {
                    "id": 10,
                    "shipment_marketplace_code": "AB12345678910BR",
                    "status_marketplace": "completed",
                    "logistic_name": "Correios",
                    "shipping_method": "Correios",
                    "tracking_code": "AB12345678910BR",
                    "submission_deadline": "22-02-18",
                    "tracking_url": "",
                    "shipping_company_id": "",
                    "sent_date": "",
                    "expected_delivery_date": "22-02-18",
                    "delivery_date": ""
                }
            ],
            "financial": {
                "shipping_cost_merchant": "0.00",
                "products": "97.12",
                "interest": "0.00",
                "shipping": "0.00",
                "discount": "0.00",
                "total": "97.12",
                "total_marketplace_products": "0.00",
                "marketplace_discount": "0.88",
                "reverse_shipping_fee": "0.00",
                "hubiss_comission": "2.00",
                "hubiss_percentual_comission": "3.00",
                "hubiss_comission_is_trial": false,
                "other_discounts": []
            }
        }
    ],
    "links": {
        "first": "https://hubiss.dev/api/v1/orders?page=1",
        "last": "https://hubiss.dev/api/v1/orders?page=2",
        "prev": null,
        "next": "https://hubiss.dev/api/v1/orders?page=2"
    },
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 27,
        "links": [
            {
                "url": null,
                "label": "« Previous",
                "active": false
            },
            {
                "url": "https://hubiss.dev/api/v1/orders?page=1",
                "label": "1",
                "active": true
            },
            {
                "url": "https://hubiss.dev/api/v1/orders?page=2",
                "label": "2",
                "active": false
            },
            {
                "url": "https://hubiss.dev/api/v1/orders?page=2",
                "label": "Next »",
                "active": false
            }
        ],
        "path": "https://hubiss.dev/api/v1/orders",
        "per_page": 1,
        "to": 2,
        "total": 27
    }
}
{
    "error": "Unauthorized"
}
Exemplo
curl --request GET \
     --url 'https://api.hubiss.com.br/v1/orders' \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer SEU_TOKEN'
use Illuminate\Support\Facades\Http;

$response = Http::withToken('SEU_TOKEN')
    ->acceptJson()
    ->get('https://api.hubiss.com.br/v1/orders');

$response->json();
const response = await fetch('https://api.hubiss.com.br/v1/orders', {
    method: 'GET',
    headers: {
        'Accept': 'application/json',
        'Authorization': 'Bearer SEU_TOKEN'
    }
});

const data = await response.json();
import requests

response = requests.GET(
    'https://api.hubiss.com.br/v1/orders',
    headers={'Authorization': 'Bearer SEU_TOKEN', 'Accept': 'application/json'},
)

print(response.json())
O token é usado apenas nesta requisição e não é armazenado.
GET /orders/{orderId}
Recuperar Pedido

Retorna o pedido com essa id

StatusQuando aconteceCorpo
401 401 —
404 404 —
Nome Local Tipo Descrição
orderId * path integer
padrão: 1
Resposta
json
{
    "id": 1,
    "marketplace_account": 1,
    "marketplace_order_id": "ML99999999999",
    "marketplace_order_additional_id": "123456",
    "order_date": "2021-05-28 02:35:39",
    "estimated_delivery_date": "2021-06-28 02:35:39",
    "dropshipping_crossdocking": {
        "is_dropshipping_crossdocking": false,
        "order_buyed_in_supplier": false
    },
    "email": "[email protected]",
    "status": "concluded",
    "marketplace_status": "COMPLETED",
    "internal_observations": "Ullam omnis autem est reprehenderit. Non aperiam est ut dolor eum error.",
    "message_to_seller": "Nihil facilis aspernatur labore eum eveniet cum. Accusantium porro et qui aperiam facilis.",
    "marketplace_client_id": "9999",
    "customer": {
        "documents": {
            "primary": {
                "type": "cpf",
                "number": "01622913027"
            },
            "secondary": {
                "type": "rg",
                "number": "999"
            }
        },
        "phones": {
            "primary": "3843251228",
            "secondary": "8618379905320"
        },
        "billing_address": {
            "name": "Dona Maria da Silva",
            "zip_code": "89520000",
            "street_name": "Rua de Exemplo",
            "street_number": "113",
            "district": "Centro",
            "city": "Curitibanos",
            "state": "SC",
            "country": "BR"
        }
    },
    "shipping": {
        "is_fullfilment": false,
        "responsible_issuing_label": "marketplace",
        "first_printing_date_label": "",
        "print_label_url": "https://hubiss.com.br/admin/pedidos/bulk-print-labels/1",
        "shipping_address": {
            "name": "Seu Chiquinho da Silva",
            "zip_code": "78563000",
            "street_name": "Rua de Exemplo",
            "street_number": "456",
            "district": "Zona rural",
            "city": "Tabaporã",
            "state": "MT",
            "country": "BR"
        }
    },
    "fraud_alert": false,
    "order_in_marketplace_dispute": false,
    "created_at": "2022-04-04 23:37:09",
    "updated_at": "2022-04-04 23:37:09",
    "products": [
        {
            "id": 6,
            "variation_id": 5559,
            "marketplace_order_id": "ML99999999999",
            "dropshipping_crossdocking": {
                "is_dropshipping_crossdocking": false,
                "order_buyed_in_supplier": false
            },
            "name": "Sandália Feminina Torricella",
            "sku": "E-2042A-3",
            "marketplace_listing_id": "MLB99999999999",
            "attributes_variation": "36,Única",
            "product_condition": "new",
            "quantity": 1,
            "unit_price": "98.00",
            "discounts": 0.88,
            "gross_amount": "98.00",
            "total_value": "97.12",
            "marketplace_comission_value": "0.00",
            "marketplace_discount": "0.88",
            "days_to_send": 3,
            "current_data": {
                "current_stock": 2,
                "current_reserved_stock": 1
            }
        }
    ],
    "payments": [
        {
            "id": "220215JK665KG6",
            "payment_date": "2022-02-15 13:54:46",
            "created_at": "2022-02-15 12:44:44",
            "status": "paid",
            "type": "Credit/Debit Card",
            "installments": "",
            "installment_value": "0.00",
            "total": "0.00"
        }
    ],
    "invoices": [],
    "shipments": [
        {
            "id": 10,
            "shipment_marketplace_code": "AB12345678910BR",
            "status_marketplace": "completed",
            "logistic_name": "Correios",
            "shipping_method": "Correios",
            "tracking_code": "AB12345678910BR",
            "submission_deadline": "22-02-18",
            "tracking_url": "",
            "shipping_company_id": "",
            "sent_date": "",
            "expected_delivery_date": "22-02-18",
            "delivery_date": ""
        }
    ],
    "financial": {
        "shipping_cost_merchant": "0.00",
        "products": "97.12",
        "interest": "0.00",
        "shipping": "0.00",
        "discount": "0.00",
        "total": "97.12",
        "total_marketplace_products": "0.00",
        "marketplace_discount": "0.88",
        "reverse_shipping_fee": "0.00",
        "hubiss_comission": "2.00",
        "hubiss_percentual_comission": "3.00",
        "hubiss_comission_is_trial": false,
        "other_discounts": []
    }
}
{
    "error": "Unauthorized"
}
{
    "error": "Resource 9999 not found"
}
Exemplo
curl --request GET \
     --url 'https://api.hubiss.com.br/v1/orders/ORDERID' \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer SEU_TOKEN'
use Illuminate\Support\Facades\Http;

$response = Http::withToken('SEU_TOKEN')
    ->acceptJson()
    ->get('https://api.hubiss.com.br/v1/orders/ORDERID');

$response->json();
const response = await fetch('https://api.hubiss.com.br/v1/orders/ORDERID', {
    method: 'GET',
    headers: {
        'Accept': 'application/json',
        'Authorization': 'Bearer SEU_TOKEN'
    }
});

const data = await response.json();
import requests

response = requests.GET(
    'https://api.hubiss.com.br/v1/orders/ORDERID',
    headers={'Authorization': 'Bearer SEU_TOKEN', 'Accept': 'application/json'},
)

print(response.json())
O token é usado apenas nesta requisição e não é armazenado.
PUT /orders/{orderId}/invoiced
Faturar Pedido

Marcar o Pedido como faturado informando os dados da nota fiscal para a Hubiss.

StatusQuando aconteceCorpo
401 401 —
404 404 —
422 422 Mudanca de status fora de ordem devolve a mensagem "Cannot change status now, check documentation" no campo status. —
Nome Local Tipo Descrição
orderId * path integer
padrão: 1
CampoTipoDescrição
number integer

Número da Nota

serie integer

Número de série da nota

date string

Data/hora de emissão da nota fiscal. Formato Y-m-dTH:i:s

access_key string

Chave de acesso a nota fiscal

cfop integer

Código CFOP

state_registration integer

Inscrição estadual

consultation_url string

URL para consulta da nota fiscal

file_url string

URL para download do XML da nota fiscal

Corpo enviado (JSON) json
{
    "number": "100",
    "serie": "780",
    "date": "2022-01-01T00:01:00",
    "access_key": "51080701212344000127550010000000981364112281",
    "cfop": "706",
    "state_registration": "35726",
    "consultation_url": "https://www.site.com.br",
    "file_url": "https://www.site.com/download.xml"
}
Resposta
json
{
    "data": {
        "id": 1,
        "marketplace_account": 1,
        "marketplace_order_id": "9999",
        "marketplace_order_additional_id": "",
        "order_date": "2021-11-08T17:19:45",
        "estimated_delivery_date": "",
        "email": "[email protected]",
        "status": "invoiced",
        "marketplace_status": "OPEN",
        "internal_observations": "test",
        "message_to_seller": "",
        "marketplace_client_id": "1234",
        "fraud_alert": false,
        "order_in_marketplace_dispute": false,
        "created_at": "2021-11-08T22:39:46",
        "updated_at": "2022-04-12T18:19:32",
        "dropshipping_crossdocking": {
            "is_dropshipping_crossdocking": true,
            "order_buyed_in_supplier": true
        },
        "customer": {
            "documents": {
                "primary": {
                    "type": "cpf",
                    "number": "06453765901"
                },
                "secondary": {
                    "type": "rg",
                    "number": ""
                }
            },
            "phones": {
                "primary": "",
                "secondary": ""
            },
            "billing_address": {
                "name": "Sabrina de Souza",
                "zip_code": "35931027",
                "street_name": "Rua Teste",
                "street_number": "88",
                "district": "Centro",
                "complement": "Casa",
                "city": "João Montenegro",
                "state": "MG",
                "country": "BR"
            }
        },
        "shipping": {
            "is_fullfilment": false,
            "responsible_issuing_label": "marketplace",
            "first_printing_date_label": "",
            "print_label_url": "https://hubiss.dev/admin/pedidos/bulk-print-labels/1",
            "shipping_address": {
                "name": "Sabrina de Souza",
                "zip_code": "35931027",
                "street_name": "Rua Teste",
                "street_number": "88",
                "district": "Centro",
                "complement": "Casa",
                "city": "João Montenegro",
                "state": "MG",
                "country": "BR"
            }
        },
        "products": [
            {
                "id": 6,
                "variation_id": 5559,
                "marketplace_order_id": "9999",
                "dropshipping_crossdocking": {
                    "is_dropshipping_crossdocking": true,
                    "order_buyed_in_supplier": true
                },
                "name": "Sandália Feminina Torricella",
                "sku": "401B-5",
                "marketplace_listing_id": "3778186019",
                "attributes_variation": "37,Única",
                "product_condition": "new",
                "quantity": 1,
                "unit_price": "114.00",
                "discounts": 17.58,
                "gross_amount": "114.00",
                "total_value": "96.42",
                "marketplace_comission_value": "17.82",
                "marketplace_discount": "2.58",
                "days_to_send": 3,
                "current_data": {
                    "current_stock": 2,
                    "current_reserved_stock": 2
                }
            }
        ],
        "payments": [
            {
                "id": "abc123",
                "payment_date": "2021-11-08T17:20:03",
                "created_at": "2021-11-08T17:19:45",
                "status": "paid",
                "type": "Credit/Debit Card",
                "installments": "",
                "installment_value": "0.00",
                "total": "96.42"
            }
        ],
        "invoice": {
            "number": "100",
            "serie": "780",
            "date": "",
            "access_key": "51080701212344000127550010000000981364112281",
            "cfop": "706",
            "state_registration": "35726",
            "consultation_url": "http://www.mayert.com/dolorem-et-debitis-ullam",
            "file_url": "https://www.nolan.com/veritatis-dolor-et-est-quod"
        },
        "shipment": {
            "shipment_marketplace_code": "ABC123",
            "status_marketplace": "LOGISTICS_DELIVERY_DONE",
            "logistic_name": "Correios",
            "shipping_method": "Correios",
            "tracking_code": "BR12345678910",
            "submission_deadline": "",
            "tracking_url": "",
            "shipping_company_id": "",
            "sent_date": "21-11-10",
            "expected_delivery_date": "21-11-11",
            "delivery_date": "21-11-18"
        },
        "financial": {
            "shipping_cost_merchant": "0.00",
            "products": "96.42",
            "interest": "0.00",
            "shipping": "0.00",
            "discount": "15.00",
            "total": "96.42",
            "total_marketplace_products_fee": "17.82",
            "marketplace_discount": "2.58",
            "reverse_shipping_fee": "0.00",
            "hubiss_comission": "2.00",
            "hubiss_percentual_comission": "3.00",
            "hubiss_comission_is_trial": false,
            "other_discounts": [
                {
                    "name": "voucher_from_shopee",
                    "informations": "",
                    "value": "1.73"
                },
                {
                    "name": "coins",
                    "informations": "",
                    "value": "0.85"
                },
                {
                    "name": "voucher_from_seller",
                    "informations": "DILN00001",
                    "value": "15.00"
                }
            ]
        }
    },
    "success": true,
    "message": "Register Successfull Updated"
}
{
    "error": "Unauthorized"
}
{
    "error": "Resource 99999 not found"
}
{
    "success": false,
    "message": "Validation errors",
    "data": {
        "number": [
            "The number field is required."
        ],
        "date": [
            "The date field is required."
        ],
        "access_key": [
            "The access key field is required."
        ],
        "status": [
            "Cannot change status now, check documentation"
        ]
    }
}
Exemplo
curl --request PUT \
     --url 'https://api.hubiss.com.br/v1/orders/ORDERID/invoiced' \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer SEU_TOKEN' \
     --header 'Content-Type: application/json' \
     --data '{    "number": "100",    "serie": "780",    "date": "2022-01-01T00:01:00",    "access_key": "51080701212344000127550010000000981364112281",    "cfop": "706",    "state_registration": "35726",    "consultation_url": "https://www.site.com.br",    "file_url": "https://www.site.com/download.xml"}'
use Illuminate\Support\Facades\Http;

$response = Http::withToken('SEU_TOKEN')
    ->acceptJson()
    ->withBody("{\n    \"number\": \"100\",\n    \"serie\": \"780\",\n    \"date\": \"2022-01-01T00:01:00\",\n    \"access_key\": \"51080701212344000127550010000000981364112281\",\n    \"cfop\": \"706\",\n    \"state_registration\": \"35726\",\n    \"consultation_url\": \"https:\/\/www.site.com.br\",\n    \"file_url\": \"https:\/\/www.site.com\/download.xml\"\n}", 'application/json')
    ->put('https://api.hubiss.com.br/v1/orders/ORDERID/invoiced');

$response->json();
const response = await fetch('https://api.hubiss.com.br/v1/orders/ORDERID/invoiced', {
    method: 'PUT',
    headers: {
        'Accept': 'application/json',
        'Authorization': 'Bearer SEU_TOKEN',
        'Content-Type': 'application/json'
    },
    body: JSON.stringify({
    "number": "100",
    "serie": "780",
    "date": "2022-01-01T00:01:00",
    "access_key": "51080701212344000127550010000000981364112281",
    "cfop": "706",
    "state_registration": "35726",
    "consultation_url": "https://www.site.com.br",
    "file_url": "https://www.site.com/download.xml"
})
});

const data = await response.json();
import requests

response = requests.PUT(
    'https://api.hubiss.com.br/v1/orders/ORDERID/invoiced',
    headers={'Authorization': 'Bearer SEU_TOKEN', 'Accept': 'application/json'},
    json={
    "number": "100",
    "serie": "780",
    "date": "2022-01-01T00:01:00",
    "access_key": "51080701212344000127550010000000981364112281",
    "cfop": "706",
    "state_registration": "35726",
    "consultation_url": "https://www.site.com.br",
    "file_url": "https://www.site.com/download.xml"
},
)

print(response.json())
O token é usado apenas nesta requisição e não é armazenado.
PUT /orders/{orderId}/order-placed-at-supplier
Pedido Efetuado no Fornecedor

Marcar o Pedido como efetuado no fornecedor. Exclusividade dropshipping/crossdocking Hubiss

StatusQuando aconteceCorpo
401 401 —
404 404 —
422 422 Mudanca de status fora de ordem devolve a mensagem "Cannot change status now, check documentation" no campo status. —
Nome Local Tipo Descrição
orderId * path integer
padrão: 1
Resposta
json
{
    "data": {
        "id": 1,
        "marketplace_account": 1,
        "marketplace_order_id": "9999",
        "marketplace_order_additional_id": "",
        "order_date": "2021-11-08T17:19:45",
        "estimated_delivery_date": "",
        "email": "[email protected]",
        "status": "paid_waiting_order_shipment_at_supplier",
        "marketplace_status": "OPEN",
        "internal_observations": "test",
        "message_to_seller": "",
        "marketplace_client_id": "1234",
        "fraud_alert": false,
        "order_in_marketplace_dispute": false,
        "created_at": "2021-11-08T22:39:46",
        "updated_at": "2022-04-12T18:19:32",
        "dropshipping_crossdocking": {
            "is_dropshipping_crossdocking": true,
            "order_buyed_in_supplier": true
        },
        "customer": {
            "documents": {
                "primary": {
                    "type": "cpf",
                    "number": "06453765901"
                },
                "secondary": {
                    "type": "rg",
                    "number": ""
                }
            },
            "phones": {
                "primary": "",
                "secondary": ""
            },
            "billing_address": {
                "name": "Sabrina de Souza",
                "zip_code": "35931027",
                "street_name": "Rua Teste",
                "street_number": "88",
                "district": "Centro",
                "complement": "Casa",
                "city": "João Montenegro",
                "state": "MG",
                "country": "BR"
            }
        },
        "shipping": {
            "is_fullfilment": false,
            "responsible_issuing_label": "marketplace",
            "first_printing_date_label": "",
            "print_label_url": "https://hubiss.dev/admin/pedidos/bulk-print-labels/1",
            "shipping_address": {
                "name": "Sabrina de Souza",
                "zip_code": "35931027",
                "street_name": "Rua Teste",
                "street_number": "88",
                "district": "Centro",
                "complement": "Casa",
                "city": "João Montenegro",
                "state": "MG",
                "country": "BR"
            }
        },
        "products": [
            {
                "id": 6,
                "variation_id": 5559,
                "marketplace_order_id": "9999",
                "dropshipping_crossdocking": {
                    "is_dropshipping_crossdocking": true,
                    "order_buyed_in_supplier": true
                },
                "name": "Sandália Feminina Torricella",
                "sku": "401B-5",
                "marketplace_listing_id": "3778186019",
                "attributes_variation": "37,Única",
                "product_condition": "new",
                "quantity": 1,
                "unit_price": "114.00",
                "discounts": 17.58,
                "gross_amount": "114.00",
                "total_value": "96.42",
                "marketplace_comission_value": "17.82",
                "marketplace_discount": "2.58",
                "days_to_send": 3,
                "current_data": {
                    "current_stock": 2,
                    "current_reserved_stock": 2
                }
            }
        ],
        "payments": [
            {
                "id": "abc123",
                "payment_date": "2021-11-08T17:20:03",
                "created_at": "2021-11-08T17:19:45",
                "status": "paid",
                "type": "Credit/Debit Card",
                "installments": "",
                "installment_value": "0.00",
                "total": "96.42"
            }
        ],
        "invoice": {
            "number": "100",
            "serie": "780",
            "date": "",
            "access_key": "51080701212344000127550010000000981364112281",
            "cfop": "706",
            "state_registration": "35726",
            "consultation_url": "http://www.mayert.com/dolorem-et-debitis-ullam",
            "file_url": "https://www.nolan.com/veritatis-dolor-et-est-quod"
        },
        "shipment": {
            "shipment_marketplace_code": "ABC123",
            "status_marketplace": "LOGISTICS_DELIVERY_DONE",
            "logistic_name": "Correios",
            "shipping_method": "Correios",
            "tracking_code": "BR12345678910",
            "submission_deadline": "",
            "tracking_url": "",
            "shipping_company_id": "",
            "sent_date": "21-11-10",
            "expected_delivery_date": "21-11-11",
            "delivery_date": "21-11-18"
        },
        "financial": {
            "shipping_cost_merchant": "0.00",
            "products": "96.42",
            "interest": "0.00",
            "shipping": "0.00",
            "discount": "15.00",
            "total": "96.42",
            "total_marketplace_products_fee": "17.82",
            "marketplace_discount": "2.58",
            "reverse_shipping_fee": "0.00",
            "hubiss_comission": "2.00",
            "hubiss_percentual_comission": "3.00",
            "hubiss_comission_is_trial": false,
            "other_discounts": [
                {
                    "name": "voucher_from_shopee",
                    "informations": "",
                    "value": "1.73"
                },
                {
                    "name": "coins",
                    "informations": "",
                    "value": "0.85"
                },
                {
                    "name": "voucher_from_seller",
                    "informations": "DILN00001",
                    "value": "15.00"
                }
            ]
        }
    },
    "success": true,
    "message": "Register Successfull Updated"
}
{
    "error": "Unauthorized"
}
{
    "error": "Resource 99999 not found"
}
{
    "success": false,
    "message": "Validation errors",
    "data": {
        "status": [
            "Cannot change status now, check documentation"
        ]
    }
}
Exemplo
curl --request PUT \
     --url 'https://api.hubiss.com.br/v1/orders/ORDERID/order-placed-at-supplier' \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer SEU_TOKEN'
use Illuminate\Support\Facades\Http;

$response = Http::withToken('SEU_TOKEN')
    ->acceptJson()
    ->put('https://api.hubiss.com.br/v1/orders/ORDERID/order-placed-at-supplier');

$response->json();
const response = await fetch('https://api.hubiss.com.br/v1/orders/ORDERID/order-placed-at-supplier', {
    method: 'PUT',
    headers: {
        'Accept': 'application/json',
        'Authorization': 'Bearer SEU_TOKEN'
    }
});

const data = await response.json();
import requests

response = requests.PUT(
    'https://api.hubiss.com.br/v1/orders/ORDERID/order-placed-at-supplier',
    headers={'Authorization': 'Bearer SEU_TOKEN', 'Accept': 'application/json'},
)

print(response.json())
O token é usado apenas nesta requisição e não é armazenado.
PUT /orders/{orderId}/sent
Pedido Enviado

Marcar o Pedido como enviado.

StatusQuando aconteceCorpo
401 401 —
404 404 —
422 422 Mudanca de status fora de ordem devolve a mensagem "Cannot change status now, check documentation" no campo status. —
Nome Local Tipo Descrição
orderId * path integer
padrão: 1
CampoTipoDescrição
logistic_name string

Nome do operador logístico utilizado para o transporte da carga

shipping_method string

Nome do método de envio do operador logístico utilizado para o transporte da carga

tracking_code string

Código de rastreamento do objeto

tracking_url string

Url para rastreamento do objeto

shipping_company_id string

CNPJ da transportadora

sent_date * string

Data do envio do objeto

delivery_date string

Data de entrega do objeto

expected_delivery_date string

Data da previsão de entrega do pacote. Formato Y-m-d

Corpo enviado (JSON) json
{
    "logistic_name": "Correios",
    "shipping_method": "Correios",
    "tracking_code": "QH999999999BR",
    "tracking_url": "",
    "shipping_company_id": "2231132312",
    "sent_date": "21-11-10",
    "expected_delivery_date": "",
    "delivery_date": ""
}
Resposta
json
{
    "data": {
        "id": 1,
        "marketplace_account": 1,
        "marketplace_order_id": "9999",
        "marketplace_order_additional_id": "",
        "order_date": "2021-11-08T17:19:45",
        "estimated_delivery_date": "",
        "email": "[email protected]",
        "status": "paid_waiting_delivery",
        "marketplace_status": "OPEN",
        "internal_observations": "test",
        "message_to_seller": "",
        "marketplace_client_id": "1234",
        "fraud_alert": false,
        "order_in_marketplace_dispute": false,
        "created_at": "2021-11-08T22:39:46",
        "updated_at": "2022-04-12T18:19:32",
        "dropshipping_crossdocking": {
            "is_dropshipping_crossdocking": true,
            "order_buyed_in_supplier": true
        },
        "customer": {
            "documents": {
                "primary": {
                    "type": "cpf",
                    "number": "06453765901"
                },
                "secondary": {
                    "type": "rg",
                    "number": ""
                }
            },
            "phones": {
                "primary": "",
                "secondary": ""
            },
            "billing_address": {
                "name": "Sabrina de Souza",
                "zip_code": "35931027",
                "street_name": "Rua Teste",
                "street_number": "88",
                "district": "Centro",
                "complement": "Casa",
                "city": "João Montenegro",
                "state": "MG",
                "country": "BR"
            }
        },
        "shipping": {
            "is_fullfilment": false,
            "responsible_issuing_label": "marketplace",
            "first_printing_date_label": "",
            "print_label_url": "https://hubiss.dev/admin/pedidos/bulk-print-labels/1",
            "shipping_address": {
                "name": "Sabrina de Souza",
                "zip_code": "35931027",
                "street_name": "Rua Teste",
                "street_number": "88",
                "district": "Centro",
                "complement": "Casa",
                "city": "João Montenegro",
                "state": "MG",
                "country": "BR"
            }
        },
        "products": [
            {
                "id": 6,
                "variation_id": 5559,
                "marketplace_order_id": "9999",
                "dropshipping_crossdocking": {
                    "is_dropshipping_crossdocking": true,
                    "order_buyed_in_supplier": true
                },
                "name": "Sandália Feminina Torricella",
                "sku": "401B-5",
                "marketplace_listing_id": "3778186019",
                "attributes_variation": "37,Única",
                "product_condition": "new",
                "quantity": 1,
                "unit_price": "114.00",
                "discounts": 17.58,
                "gross_amount": "114.00",
                "total_value": "96.42",
                "marketplace_comission_value": "17.82",
                "marketplace_discount": "2.58",
                "days_to_send": 3,
                "current_data": {
                    "current_stock": 2,
                    "current_reserved_stock": 2
                }
            }
        ],
        "payments": [
            {
                "id": "abc123",
                "payment_date": "2021-11-08T17:20:03",
                "created_at": "2021-11-08T17:19:45",
                "status": "paid",
                "type": "Credit/Debit Card",
                "installments": "",
                "installment_value": "0.00",
                "total": "96.42"
            }
        ],
        "invoice": {
            "number": "100",
            "serie": "780",
            "date": "",
            "access_key": "51080701212344000127550010000000981364112281",
            "cfop": "706",
            "state_registration": "35726",
            "consultation_url": "http://www.mayert.com/dolorem-et-debitis-ullam",
            "file_url": "https://www.nolan.com/veritatis-dolor-et-est-quod"
        },
        "shipment": {
            "shipment_marketplace_code": "ABC123",
            "status_marketplace": "LOGISTICS_DELIVERY_DONE",
            "logistic_name": "Correios",
            "shipping_method": "Correios",
            "tracking_code": "BR12345678910",
            "submission_deadline": "",
            "tracking_url": "",
            "shipping_company_id": "",
            "sent_date": "21-11-10",
            "expected_delivery_date": "21-11-11",
            "delivery_date": "21-11-18"
        },
        "financial": {
            "shipping_cost_merchant": "0.00",
            "products": "96.42",
            "interest": "0.00",
            "shipping": "0.00",
            "discount": "15.00",
            "total": "96.42",
            "total_marketplace_products_fee": "17.82",
            "marketplace_discount": "2.58",
            "reverse_shipping_fee": "0.00",
            "hubiss_comission": "2.00",
            "hubiss_percentual_comission": "3.00",
            "hubiss_comission_is_trial": false,
            "other_discounts": [
                {
                    "name": "voucher_from_shopee",
                    "informations": "",
                    "value": "1.73"
                },
                {
                    "name": "coins",
                    "informations": "",
                    "value": "0.85"
                },
                {
                    "name": "voucher_from_seller",
                    "informations": "DILN00001",
                    "value": "15.00"
                }
            ]
        }
    },
    "success": true,
    "message": "Register Successfull Updated"
}
{
    "error": "Unauthorized"
}
{
    "error": "Resource 99999 not found"
}
{
    "success": false,
    "message": "Validation errors",
    "data": {
        "status": [
            "Cannot change status now, check documentation"
        ]
    }
}
Exemplo
curl --request PUT \
     --url 'https://api.hubiss.com.br/v1/orders/ORDERID/sent' \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer SEU_TOKEN' \
     --header 'Content-Type: application/json' \
     --data '{    "logistic_name": "Correios",    "shipping_method": "Correios",    "tracking_code": "QH999999999BR",    "tracking_url": "",    "shipping_company_id": "2231132312",    "sent_date": "21-11-10",    "expected_delivery_date": "",    "delivery_date": ""}'
use Illuminate\Support\Facades\Http;

$response = Http::withToken('SEU_TOKEN')
    ->acceptJson()
    ->withBody("{\n    \"logistic_name\": \"Correios\",\n    \"shipping_method\": \"Correios\",\n    \"tracking_code\": \"QH999999999BR\",\n    \"tracking_url\": \"\",\n    \"shipping_company_id\": \"2231132312\",\n    \"sent_date\": \"21-11-10\",\n    \"expected_delivery_date\": \"\",\n    \"delivery_date\": \"\"\n}", 'application/json')
    ->put('https://api.hubiss.com.br/v1/orders/ORDERID/sent');

$response->json();
const response = await fetch('https://api.hubiss.com.br/v1/orders/ORDERID/sent', {
    method: 'PUT',
    headers: {
        'Accept': 'application/json',
        'Authorization': 'Bearer SEU_TOKEN',
        'Content-Type': 'application/json'
    },
    body: JSON.stringify({
    "logistic_name": "Correios",
    "shipping_method": "Correios",
    "tracking_code": "QH999999999BR",
    "tracking_url": "",
    "shipping_company_id": "2231132312",
    "sent_date": "21-11-10",
    "expected_delivery_date": "",
    "delivery_date": ""
})
});

const data = await response.json();
import requests

response = requests.PUT(
    'https://api.hubiss.com.br/v1/orders/ORDERID/sent',
    headers={'Authorization': 'Bearer SEU_TOKEN', 'Accept': 'application/json'},
    json={
    "logistic_name": "Correios",
    "shipping_method": "Correios",
    "tracking_code": "QH999999999BR",
    "tracking_url": "",
    "shipping_company_id": "2231132312",
    "sent_date": "21-11-10",
    "expected_delivery_date": "",
    "delivery_date": ""
},
)

print(response.json())
O token é usado apenas nesta requisição e não é armazenado.
PUT /orders/{orderId}/concluded
Pedido Entregue

Marcar o Pedido como entregue/concluído.

StatusQuando aconteceCorpo
401 401 —
404 404 —
422 422 Mudanca de status fora de ordem devolve a mensagem "Cannot change status now, check documentation" no campo status. —
Nome Local Tipo Descrição
orderId * path integer
padrão: 1
CampoTipoDescrição
delivery_date * string

Opcional, caso não fornecer este atributo, o sistema usará a data atual em que está atualizando o status do pedido.Padrão: Y-m-d.

Corpo enviado (JSON) json
{
    "delivery_date": "2022-01-01"
}
Resposta
json
{
    "data": {
        "id": 1,
        "marketplace_account": 1,
        "marketplace_order_id": "9999",
        "marketplace_order_additional_id": "",
        "order_date": "2021-11-08T17:19:45",
        "estimated_delivery_date": "",
        "email": "[email protected]",
        "status": "concluded",
        "marketplace_status": "OPEN",
        "internal_observations": "test",
        "message_to_seller": "",
        "marketplace_client_id": "1234",
        "fraud_alert": false,
        "order_in_marketplace_dispute": false,
        "created_at": "2021-11-08T22:39:46",
        "updated_at": "2022-04-12T18:19:32",
        "dropshipping_crossdocking": {
            "is_dropshipping_crossdocking": true,
            "order_buyed_in_supplier": true
        },
        "customer": {
            "documents": {
                "primary": {
                    "type": "cpf",
                    "number": "06453765901"
                },
                "secondary": {
                    "type": "rg",
                    "number": ""
                }
            },
            "phones": {
                "primary": "",
                "secondary": ""
            },
            "billing_address": {
                "name": "Sabrina de Souza",
                "zip_code": "35931027",
                "street_name": "Rua Teste",
                "street_number": "88",
                "district": "Centro",
                "complement": "Casa",
                "city": "João Montenegro",
                "state": "MG",
                "country": "BR"
            }
        },
        "shipping": {
            "is_fullfilment": false,
            "responsible_issuing_label": "marketplace",
            "first_printing_date_label": "",
            "print_label_url": "https://hubiss.dev/admin/pedidos/bulk-print-labels/1",
            "shipping_address": {
                "name": "Sabrina de Souza",
                "zip_code": "35931027",
                "street_name": "Rua Teste",
                "street_number": "88",
                "district": "Centro",
                "complement": "Casa",
                "city": "João Montenegro",
                "state": "MG",
                "country": "BR"
            }
        },
        "products": [
            {
                "id": 6,
                "variation_id": 5559,
                "marketplace_order_id": "9999",
                "dropshipping_crossdocking": {
                    "is_dropshipping_crossdocking": true,
                    "order_buyed_in_supplier": true
                },
                "name": "Sandália Feminina Torricella",
                "sku": "401B-5",
                "marketplace_listing_id": "3778186019",
                "attributes_variation": "37,Única",
                "product_condition": "new",
                "quantity": 1,
                "unit_price": "114.00",
                "discounts": 17.58,
                "gross_amount": "114.00",
                "total_value": "96.42",
                "marketplace_comission_value": "17.82",
                "marketplace_discount": "2.58",
                "days_to_send": 3,
                "current_data": {
                    "current_stock": 2,
                    "current_reserved_stock": 2
                }
            }
        ],
        "payments": [
            {
                "id": "abc123",
                "payment_date": "2021-11-08T17:20:03",
                "created_at": "2021-11-08T17:19:45",
                "status": "paid",
                "type": "Credit/Debit Card",
                "installments": "",
                "installment_value": "0.00",
                "total": "96.42"
            }
        ],
        "invoice": {
            "number": "100",
            "serie": "780",
            "date": "",
            "access_key": "51080701212344000127550010000000981364112281",
            "cfop": "706",
            "state_registration": "35726",
            "consultation_url": "http://www.mayert.com/dolorem-et-debitis-ullam",
            "file_url": "https://www.nolan.com/veritatis-dolor-et-est-quod"
        },
        "shipment": {
            "shipment_marketplace_code": "ABC123",
            "status_marketplace": "LOGISTICS_DELIVERY_DONE",
            "logistic_name": "Correios",
            "shipping_method": "Correios",
            "tracking_code": "BR12345678910",
            "submission_deadline": "",
            "tracking_url": "",
            "shipping_company_id": "",
            "sent_date": "21-11-10",
            "expected_delivery_date": "21-11-11",
            "delivery_date": "2022-01-01"
        },
        "financial": {
            "shipping_cost_merchant": "0.00",
            "products": "96.42",
            "interest": "0.00",
            "shipping": "0.00",
            "discount": "15.00",
            "total": "96.42",
            "total_marketplace_products_fee": "17.82",
            "marketplace_discount": "2.58",
            "reverse_shipping_fee": "0.00",
            "hubiss_comission": "2.00",
            "hubiss_percentual_comission": "3.00",
            "hubiss_comission_is_trial": false,
            "other_discounts": [
                {
                    "name": "voucher_from_shopee",
                    "informations": "",
                    "value": "1.73"
                },
                {
                    "name": "coins",
                    "informations": "",
                    "value": "0.85"
                },
                {
                    "name": "voucher_from_seller",
                    "informations": "DILN00001",
                    "value": "15.00"
                }
            ]
        }
    },
    "success": true,
    "message": "Register Successfull Updated"
}
{
    "error": "Unauthorized"
}
{
    "error": "Resource 99999 not found"
}
{
    "success": false,
    "message": "Validation errors",
    "data": {
        "status": [
            "Cannot change status now, check documentation"
        ]
    }
}
Exemplo
curl --request PUT \
     --url 'https://api.hubiss.com.br/v1/orders/ORDERID/concluded' \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer SEU_TOKEN' \
     --header 'Content-Type: application/json' \
     --data '{    "delivery_date": "2022-01-01"}'
use Illuminate\Support\Facades\Http;

$response = Http::withToken('SEU_TOKEN')
    ->acceptJson()
    ->withBody("{\n    \"delivery_date\": \"2022-01-01\"\n}", 'application/json')
    ->put('https://api.hubiss.com.br/v1/orders/ORDERID/concluded');

$response->json();
const response = await fetch('https://api.hubiss.com.br/v1/orders/ORDERID/concluded', {
    method: 'PUT',
    headers: {
        'Accept': 'application/json',
        'Authorization': 'Bearer SEU_TOKEN',
        'Content-Type': 'application/json'
    },
    body: JSON.stringify({
    "delivery_date": "2022-01-01"
})
});

const data = await response.json();
import requests

response = requests.PUT(
    'https://api.hubiss.com.br/v1/orders/ORDERID/concluded',
    headers={'Authorization': 'Bearer SEU_TOKEN', 'Accept': 'application/json'},
    json={
    "delivery_date": "2022-01-01"
},
)

print(response.json())
O token é usado apenas nesta requisição e não é armazenado.
PATCH /orders/{orderId}
Alterar Pedido

Alterar informações do pedido

StatusQuando aconteceCorpo
401 401 —
404 404 —
422 422 Mudanca de status fora de ordem devolve a mensagem "Cannot change status now, check documentation" no campo status. —
Nome Local Tipo Descrição
orderId * path integer
padrão: 1
CampoTipoDescrição
email string

E-mail do comprador

Só pode ser alterado nos status: paid_waiting_order_at_supplier, paid_waiting_shipment, invoiced

internal_observations string

Observações internas.

Utilize sempre que desejar salvar alguma informação importante referente ao pedido.

Essa informação não é repassada em nenhum momento para o Marketplace.

Pode ser alterado em qualquer status do pedido.

customer object
billing_address object
shipping object
shipment object
Corpo enviado (JSON) json
{
    "email": "[email protected]",
    "internal_observations": "Teste",
    "customer": {
        "documents": {
            "primary": {
                "type": "cpf",
                "number": "06453765901"
            },
            "secondary": {
                "type": "rg",
                "number": "4356322"
            }
        },
        "phones": {
            "primary": 48996338111,
            "secondary": 48996338112
        }
    },
    "billing_address": {
        "name": "Fulano da Silva",
        "zip_code": 88750000,
        "street_name": "Rua Teste",
        "street_number": "999",
        "city": "Florianópolis",
        "state": "SC",
        "country": "BR"
    },
    "shipping": {
        "shipping_address": {
            "name": "Fulana De Souza",
            "zip_code": "88790000",
            "street_name": "Rua Destinatário Teste",
            "street_number": "1000",
            "district": "Centro",
            "city": "Laguna",
            "state": "SC",
            "country": "BR"
        }
    },
    "shipment": {
        "logistic_name": "Correios",
        "shipping_method": "Sedex",
        "tracking_code": "QH999999999BR",
        "tracking_url": "https://www.correios.com.br/",
        "shipping_company_id": "34028316000103",
        "sent_date": "2022-01-01",
        "expected_delivery_date": "2022-01-01",
        "delivery_date": "2022-01-01"
    }
}
Resposta
json
{
    "data": {
        "id": 1,
        "marketplace_account": 1,
        "marketplace_order_id": "9999",
        "marketplace_order_additional_id": "",
        "order_date": "2021-11-08T17:19:45",
        "estimated_delivery_date": "",
        "email": "[email protected]",
        "status": "paid_waiting_shipment",
        "marketplace_status": "OPEN",
        "internal_observations": "test",
        "message_to_seller": "",
        "marketplace_client_id": "1234",
        "fraud_alert": false,
        "order_in_marketplace_dispute": false,
        "created_at": "2021-11-08T22:39:46",
        "updated_at": "2022-04-12T18:19:32",
        "dropshipping_crossdocking": {
            "is_dropshipping_crossdocking": true,
            "order_buyed_in_supplier": true
        },
        "customer": {
            "documents": {
                "primary": {
                    "type": "cpf",
                    "number": "06453765901"
                },
                "secondary": {
                    "type": "rg",
                    "number": ""
                }
            },
            "phones": {
                "primary": "",
                "secondary": ""
            },
            "billing_address": {
                "name": "Sabrina de Souza",
                "zip_code": "35931027",
                "street_name": "Rua Teste",
                "street_number": "88",
                "district": "Centro",
                "complement": "Casa",
                "city": "João Montenegro",
                "state": "MG",
                "country": "BR"
            }
        },
        "shipping": {
            "is_fullfilment": false,
            "responsible_issuing_label": "marketplace",
            "first_printing_date_label": "",
            "print_label_url": "https://hubiss.dev/admin/pedidos/bulk-print-labels/1",
            "shipping_address": {
                "name": "Sabrina de Souza",
                "zip_code": "35931027",
                "street_name": "Rua Teste",
                "street_number": "88",
                "district": "Centro",
                "complement": "Casa",
                "city": "João Montenegro",
                "state": "MG",
                "country": "BR"
            }
        },
        "products": [
            {
                "id": 6,
                "variation_id": 5559,
                "marketplace_order_id": "9999",
                "dropshipping_crossdocking": {
                    "is_dropshipping_crossdocking": true,
                    "order_buyed_in_supplier": true
                },
                "name": "Sandália Feminina Torricella",
                "sku": "401B-5",
                "marketplace_listing_id": "3778186019",
                "attributes_variation": "37,Única",
                "product_condition": "new",
                "quantity": 1,
                "unit_price": "114.00",
                "discounts": 17.58,
                "gross_amount": "114.00",
                "total_value": "96.42",
                "marketplace_comission_value": "17.82",
                "marketplace_discount": "2.58",
                "days_to_send": 3,
                "current_data": {
                    "current_stock": 2,
                    "current_reserved_stock": 2
                }
            }
        ],
        "payments": [
            {
                "id": "abc123",
                "payment_date": "2021-11-08T17:20:03",
                "created_at": "2021-11-08T17:19:45",
                "status": "paid",
                "type": "Credit/Debit Card",
                "installments": "",
                "installment_value": "0.00",
                "total": "96.42"
            }
        ],
        "invoice": {
            "number": "100",
            "serie": "780",
            "date": "",
            "access_key": "51080701212344000127550010000000981364112281",
            "cfop": "706",
            "state_registration": "35726",
            "consultation_url": "http://www.mayert.com/dolorem-et-debitis-ullam",
            "file_url": "https://www.nolan.com/veritatis-dolor-et-est-quod"
        },
        "shipment": {
            "shipment_marketplace_code": "ABC123",
            "status_marketplace": "LOGISTICS_DELIVERY_DONE",
            "logistic_name": "Correios",
            "shipping_method": "Correios",
            "tracking_code": "BR12345678910",
            "submission_deadline": "",
            "tracking_url": "",
            "shipping_company_id": "",
            "sent_date": "21-11-10",
            "expected_delivery_date": "21-11-11",
            "delivery_date": "2022-01-01"
        },
        "financial": {
            "shipping_cost_merchant": "0.00",
            "products": "96.42",
            "interest": "0.00",
            "shipping": "0.00",
            "discount": "15.00",
            "total": "96.42",
            "total_marketplace_products_fee": "17.82",
            "marketplace_discount": "2.58",
            "reverse_shipping_fee": "0.00",
            "hubiss_comission": "2.00",
            "hubiss_percentual_comission": "3.00",
            "hubiss_comission_is_trial": false,
            "other_discounts": [
                {
                    "name": "voucher_from_shopee",
                    "informations": "",
                    "value": "1.73"
                },
                {
                    "name": "coins",
                    "informations": "",
                    "value": "0.85"
                },
                {
                    "name": "voucher_from_seller",
                    "informations": "DILN00001",
                    "value": "15.00"
                }
            ]
        }
    },
    "success": true,
    "message": "Register Successfull Updated"
}
{
    "error": "Unauthorized"
}
{
    "error": "Resource 99999 not found"
}
{
    "success": false,
    "message": "Validation errors",
    "data": {
        "email": [
            "Cannot change email now, check documentation"
        ],
        "customer.documents.primary.number": [
            "Cannot change customer.documents.primary.number now, check documentation"
        ],
        "customer.billing_address.name": [
            "Cannot Change customer.billing address.name now, check documentation"
        ],
        "customer.billing_address.zip_code": [
            "Cannot Change customer.billing address.zip code now, check documentation"
        ],
        "customer.billing_address.street_name": [
            "Cannot Change customer.billing address.street name now, check documentation"
        ],
        "customer.billing_address.street_number": [
            "Cannot Change customer.billing address.street number now, check documentation"
        ],
        "customer.billing_address.district": [
            "Cannot Change customer.billing address.district now, check documentation"
        ],
        "customer.billing_address.city": [
            "Cannot Change customer.billing address.city now, check documentation"
        ],
        "customer.billing_address.state": [
            "Cannot Change customer.billing address.state now, check documentation"
        ],
        "customer.billing_address.country": [
            "Cannot Change customer.billing address.country now, check documentation"
        ],
        "shipping.shipping_address.name": [
            "Cannot Change shipping.shipping address.name now, check documentation"
        ],
        "shipping.shipping_address.zip_code": [
            "Cannot Change shipping.shipping address.zip code now, check documentation"
        ],
        "shipping.shipping_address.street_name": [
            "Cannot Change shipping.shipping address.street name now, check documentation"
        ],
        "shipping.shipping_address.street_number": [
            "Cannot Change shipping.shipping address.street number now, check documentation"
        ],
        "shipping.shipping_address.district": [
            "Cannot Change shipping.shipping address.district now, check documentation"
        ],
        "shipping.shipping_address.city": [
            "Cannot Change shipping.shipping address.city now, check documentation"
        ],
        "shipping.shipping_address.state": [
            "Cannot Change shipping.shipping address.state now, check documentation"
        ],
        "shipping.shipping_address.country": [
            "Cannot Change shipping.shipping address.country now, check documentation"
        ]
    }
}
Exemplo
curl --request PATCH \
     --url 'https://api.hubiss.com.br/v1/orders/ORDERID' \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer SEU_TOKEN' \
     --header 'Content-Type: application/json' \
     --data '{    "email": "[email protected]",    "internal_observations": "Teste",    "customer": {        "documents": {            "primary": {                "type": "cpf",                "number": "06453765901"            },            "secondary": {                "type": "rg",                "number": "4356322"            }        },        "phones": {            "primary": 48996338111,            "secondary": 48996338112        }    },    "billing_address": {        "name": "Fulano da Silva",        "zip_code": 88750000,        "street_name": "Rua Teste",        "street_number": "999",        "city": "Florianópolis",        "state": "SC",        "country": "BR"    },    "shipping": {        "shipping_address": {            "name": "Fulana De Souza",            "zip_code": "88790000",            "street_name": "Rua Destinatário Teste",            "street_number": "1000",            "district": "Centro",            "city": "Laguna",            "state": "SC",            "country": "BR"        }    },    "shipment": {        "logistic_name": "Correios",        "shipping_method": "Sedex",        "tracking_code": "QH999999999BR",        "tracking_url": "https://www.correios.com.br/",        "shipping_company_id": "34028316000103",        "sent_date": "2022-01-01",        "expected_delivery_date": "2022-01-01",        "delivery_date": "2022-01-01"    }}'
use Illuminate\Support\Facades\Http;

$response = Http::withToken('SEU_TOKEN')
    ->acceptJson()
    ->withBody("{\n    \"email\": \"[email protected]\",\n    \"internal_observations\": \"Teste\",\n    \"customer\": {\n        \"documents\": {\n            \"primary\": {\n                \"type\": \"cpf\",\n                \"number\": \"06453765901\"\n            },\n            \"secondary\": {\n                \"type\": \"rg\",\n                \"number\": \"4356322\"\n            }\n        },\n        \"phones\": {\n            \"primary\": 48996338111,\n            \"secondary\": 48996338112\n        }\n    },\n    \"billing_address\": {\n        \"name\": \"Fulano da Silva\",\n        \"zip_code\": 88750000,\n        \"street_name\": \"Rua Teste\",\n        \"street_number\": \"999\",\n        \"city\": \"Florian\u00f3polis\",\n        \"state\": \"SC\",\n        \"country\": \"BR\"\n    },\n    \"shipping\": {\n        \"shipping_address\": {\n            \"name\": \"Fulana De Souza\",\n            \"zip_code\": \"88790000\",\n            \"street_name\": \"Rua Destinat\u00e1rio Teste\",\n            \"street_number\": \"1000\",\n            \"district\": \"Centro\",\n            \"city\": \"Laguna\",\n            \"state\": \"SC\",\n            \"country\": \"BR\"\n        }\n    },\n    \"shipment\": {\n        \"logistic_name\": \"Correios\",\n        \"shipping_method\": \"Sedex\",\n        \"tracking_code\": \"QH999999999BR\",\n        \"tracking_url\": \"https:\/\/www.correios.com.br\/\",\n        \"shipping_company_id\": \"34028316000103\",\n        \"sent_date\": \"2022-01-01\",\n        \"expected_delivery_date\": \"2022-01-01\",\n        \"delivery_date\": \"2022-01-01\"\n    }\n}", 'application/json')
    ->patch('https://api.hubiss.com.br/v1/orders/ORDERID');

$response->json();
const response = await fetch('https://api.hubiss.com.br/v1/orders/ORDERID', {
    method: 'PATCH',
    headers: {
        'Accept': 'application/json',
        'Authorization': 'Bearer SEU_TOKEN',
        'Content-Type': 'application/json'
    },
    body: JSON.stringify({
    "email": "[email protected]",
    "internal_observations": "Teste",
    "customer": {
        "documents": {
            "primary": {
                "type": "cpf",
                "number": "06453765901"
            },
            "secondary": {
                "type": "rg",
                "number": "4356322"
            }
        },
        "phones": {
            "primary": 48996338111,
            "secondary": 48996338112
        }
    },
    "billing_address": {
        "name": "Fulano da Silva",
        "zip_code": 88750000,
        "street_name": "Rua Teste",
        "street_number": "999",
        "city": "Florianópolis",
        "state": "SC",
        "country": "BR"
    },
    "shipping": {
        "shipping_address": {
            "name": "Fulana De Souza",
            "zip_code": "88790000",
            "street_name": "Rua Destinatário Teste",
            "street_number": "1000",
            "district": "Centro",
            "city": "Laguna",
            "state": "SC",
            "country": "BR"
        }
    },
    "shipment": {
        "logistic_name": "Correios",
        "shipping_method": "Sedex",
        "tracking_code": "QH999999999BR",
        "tracking_url": "https://www.correios.com.br/",
        "shipping_company_id": "34028316000103",
        "sent_date": "2022-01-01",
        "expected_delivery_date": "2022-01-01",
        "delivery_date": "2022-01-01"
    }
})
});

const data = await response.json();
import requests

response = requests.PATCH(
    'https://api.hubiss.com.br/v1/orders/ORDERID',
    headers={'Authorization': 'Bearer SEU_TOKEN', 'Accept': 'application/json'},
    json={
    "email": "[email protected]",
    "internal_observations": "Teste",
    "customer": {
        "documents": {
            "primary": {
                "type": "cpf",
                "number": "06453765901"
            },
            "secondary": {
                "type": "rg",
                "number": "4356322"
            }
        },
        "phones": {
            "primary": 48996338111,
            "secondary": 48996338112
        }
    },
    "billing_address": {
        "name": "Fulano da Silva",
        "zip_code": 88750000,
        "street_name": "Rua Teste",
        "street_number": "999",
        "city": "Florianópolis",
        "state": "SC",
        "country": "BR"
    },
    "shipping": {
        "shipping_address": {
            "name": "Fulana De Souza",
            "zip_code": "88790000",
            "street_name": "Rua Destinatário Teste",
            "street_number": "1000",
            "district": "Centro",
            "city": "Laguna",
            "state": "SC",
            "country": "BR"
        }
    },
    "shipment": {
        "logistic_name": "Correios",
        "shipping_method": "Sedex",
        "tracking_code": "QH999999999BR",
        "tracking_url": "https://www.correios.com.br/",
        "shipping_company_id": "34028316000103",
        "sent_date": "2022-01-01",
        "expected_delivery_date": "2022-01-01",
        "delivery_date": "2022-01-01"
    }
},
)

print(response.json())
O token é usado apenas nesta requisição e não é armazenado.

Erros comuns

Sintoma Causa provável O que fazer
422 "Cannot change status now" Mudança de status fora de ordem Consultar o pedido antes de atualizar
Etiqueta não abre Link exige sessão logada Abrir no navegador com login na Hubiss
Próximo passo
Siga para Webhooks.